package com.danitheskunk.skunkstream;

import com.danitheskunk.skunkworks.Recti;
import com.danitheskunk.skunkworks.Vec2i;
import com.danitheskunk.skunkworks.gfx.Color;
import com.danitheskunk.skunkworks.gfx.IRenderContext;
import com.danitheskunk.skunkworks.gfx.ITexture;

public class Image implements IElement {
	private final Vec2i pos;
	private final ITexture texture;
	private final Vec2i size;
	private final Color color;

	public Image(Vec2i pos, ITexture texture, Vec2i size, Color color) {
		this.pos = pos;
		this.texture = texture;
		this.size = size;
		this.color = color;
	}

	@Override
	public void render(IRenderContext rc) {
		if(size == Vec2i.ZERO) {
			rc.drawTexture(pos, texture, color);
		} else {
			rc.drawTextureRectangle(new Recti(pos, size),
				texture,
				color,
				false
			);
		}
	}
}
