package com.danitheskunk.skunkstream;

import com.danitheskunk.skunkworks.Vec2i;
import com.danitheskunk.skunkworks.gfx.Color;
import com.danitheskunk.skunkworks.gfx.IRenderContext;
import com.danitheskunk.skunkworks.gfx.font.IFont;

public class Label implements IElement {
	private final Vec2i pos;
	private final String text;
	private final IFont font;
	private final Color color;

	public Label(Vec2i pos, String text, IFont font, Color color) {
		this.pos = pos;
		this.text = text;
		this.font = font;
		this.color = color;
	}

	@Override
	public void render(IRenderContext rc) {
		rc.drawString(
			pos,
			text,
			font,
			color
		);
	}
}
